% ---------------------------------------------------------------------
% The 18th International Symposium on Magnetic Bearing
% ---------------------------------------------------------------------
\def\fileversion{1.00}
\def\filedate{2023/01/19}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ISMB18_full}[\filedate\space v\fileversion\space-ISMB18 2023]
\LoadClass[11pt]{article}
\RequirePackage[utf8]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage{amsmath,amsfonts,amssymb,bm}
\RequirePackage{pslatex}
\RequirePackage{graphicx,color}
\RequirePackage[a4paper,body={17cm,23.5cm}]{geometry}
\RequirePackage{tabu}
\RequirePackage{hyperref}
\RequirePackage{natbib}
\RequirePackage{fancyhdr}
\RequirePackage[bottom]{footmisc}
\RequirePackage{indentfirst}
\RequirePackage[font=it,justification=centering]{caption}

\renewcommand\familydefault{\sfdefault}

\renewcommand{\headrulewidth}{0pt}
\setlength{\headheight}{1.6cm}
\fancyhf{}
%\setlength{\footheight}{1.0cm}
\pagestyle{fancyplain}
\fancyhead[EOL]{\textit{\small The 18th International Symposium on Magnetic Bearings}}
\fancyhead[EOR]{\textit{\small Paper number}}
\fancyfoot[R]{\thepage}


\renewcommand{\section}{%
 \@startsection%
 {section}%
 {1}%
 {0pt}%
 {-3.5ex plus -1ex minus -.2ex}
 {2.3ex plus .2ex}%
 {\normalfont\large\bfseries}}
 
 \renewcommand{\subsection}{%
 \@startsection%
 {subsection}%
 {2}%
 {1.5em}%
 {-2ex plus -1ex minus -.2ex}
 {2.3ex plus .2ex}%
 {\normalfont\large\bfseries}}
 
\renewcommand{\thesection}{%
\arabic{section}.\hspace{-1.ex}}

\renewcommand{\thesubsection}{%
\arabic{section}.\arabic{subsection}\hspace{-1.ex}}

\renewcommand{\boldsymbol}[1]{\bm{#1}}
\bibliographystyle{agsm}
\newcommand{\address}[1]{\def\@address{#1}}

\renewcommand{\@maketitle}{%
\newsavebox{\foo}
\savebox{\foo}{%
\begin{minipage}[t]{17cm}%
\centering
\LARGE\bfseries\@title
\par\vspace{1em}\normalfont\normalsize\noindent\@author
\par\vspace{1.5em}\itshape\scriptsize%
\noindent\begin{tabular}[t]{@{}l}%
\@address
\end{tabular}
\end{minipage}}
\par\vspace{-1.5em}\hfill
\par\vspace{1em}\noindent\usebox{\foo}
}

\newcommand{\keywords}[1]{%
{\small{\par\vspace{1.5em}\bf Keywords:}~{#1}}
}




% Definition Commande
\newcommand{\vect}[1]{\underline{#1}}  
\newcommand{\tens}[1]{\underline {\underline {#1}}}  
\def\div{\mathop{\rm div}\nolimits}

\renewenvironment{abstract}%
{\vspace{1.5em}{\normalfont\large\bfseries \hspace{-2em} Abstract\vspace{1em}}\par}{\normalsize}
